package com.wtkj.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author Blizzard
 * @create at 2023-09-25 15:47
 * @describe
 */
@Data
public class InviteToDeptDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@JsonSerialize(using = ToStringSerializer.class)
	@NotNull(message = "createUser can't be null")
	private Long createUser;

	@NotNull(message = "qrcodeId can't be null")
	private String qrcodeId;

	@NotNull(message = "type can't be null")
	private Integer type;

	@NotNull(message = "deptId can't be null")
	private Long deptId;

}
