package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * @author Blizzard
 * @create at 2023-09-14 15:44
 * @describe
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("blade_file_and_folder_history")
public class FileAndFolderHistory extends BaseEntity {

	private static final long serialVersionUID = 1L;

	//blade_file的主键id
	@JsonSerialize(using = ToStringSerializer.class)
	@TableField("latest_id")
	private Long latestId;

	//blade_file的主键id
	@JsonSerialize(using = ToStringSerializer.class)
	@TableField("history_id")
	private Long historyId;
}
