package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * @author Blizzard
 * @create at 2023-09-15 11:09
 * @describe
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("blade_file_read")
public class FileRead extends BaseEntity {

	private static final long serialVersionUID = 1L;

	@TableField("file_id")
	@ApiModelProperty(value = "文件主键id")
	private Long fileId;

	@TableField("user_id")
	@ApiModelProperty(value = "用户id")
	private Long userId;
}
