package com.wtkj.service.impl;

import com.wtkj.entity.TaskLog;
import com.wtkj.mapper.TaskLogMapper;
import com.wtkj.service.ITaskLogService;
import lombok.AllArgsConstructor;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Blizzard
 * @create at 2023-09-15 15:56
 * @describe
 */
@Service
@AllArgsConstructor
public class TaskLogServiceImpl extends BaseServiceImpl<TaskLogMapper, TaskLog> implements ITaskLogService {
	@Override
	public List<TaskLog> listByTaskId(Long taskId) {
		return baseMapper.listByTaskId(taskId);
	}
}
