package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * @author Blizzard
 * @create at 2023-09-13 17:21
 * @describe 第三方机构项目权限
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("blade_project_auth")
public class ProjectAuth extends BaseEntity {
	private static final long serialVersionUID = 1L;


	@TableField("user_id")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long userId;

	@TableField("top_dept")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long topDept;

	@TableField("user_dept")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long userDept;

	@TableField("project_id")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long projectId;
}
