package com.wtkj.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.system.user.entity.User;

import java.io.Serializable;

/**
 * @author Blizzard
 * @create at 2023-09-20 22:02
 * @describe
 */
@Data
public class ScheduleUserVO implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "用户")
	private User user;

	@ApiModelProperty(value = "今日待完成")
	private Integer todayTodo = 0;

	@ApiModelProperty(value = "逾期任务")
	private Integer todayExpire = 0;

}
