package com.wtkj.vo;

import com.wtkj.entity.FileAndFolder;
import com.wtkj.entity.Task;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.system.user.entity.User;

import java.util.List;

/**
 * @author Blizzard
 * @create at 2023-09-15 16:18
 * @describe
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class TaskVO extends Task {
	private static final long serialVersionUID = 1L;

	private String projectName;

	private User projectManagerUser;

	private String dispatchUintName;

	private String executeDeptName;

	private String createUserName;

	private List<FileAndFolder> files;

	private List<User> checkUsers;

	private List<User> executeUsers;

	private List<String> tagsArray;
}
