package com.wtkj.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.wtkj.entity.Task;

import java.util.List;
import java.util.Set;

/**
 * @author Blizzard
 * @create at 2023-09-15 15:17
 * @describe
 */
public interface TaskMapper extends BaseMapper<Task> {
	Set<Long> selectByExecute(Long deptId, String userId);

	Set<Long> selectByUser(String userId);

	Set<Long> selectTodayTask(Long userId, String now);

	List<Task> todayTo(String userId, String date);

	List<Task> todayExpire(String userId, String date);

	List<Task> getTodoAndExpireByUserId(String userId, String date);

	List<Task> getByOrgDeptId(Long topDept, String date);

	List<Task> getTodayTodoByOrgDeptId(Long topDept, String date);

	List<Task> getTodoByYear(Set<Long> projectIds, Integer year);
}
