package com.wtkj.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.wtkj.entity.AnnouncementSend;
import org.springblade.core.mp.base.BaseService;

/**
 * @author Blizzard
 * @create at 2023-09-23 11:22
 * @describe
 */
public interface IAnnouncementSendService extends BaseService<AnnouncementSend> {
	IPage<AnnouncementSend> selectAnnouncementSendPage(IPage<AnnouncementSend> page, Long userId);

	/**
	 * 获取用户未读数量
	 *
	 * @param userId
	 * @return
	 */
	Integer notReadCount(Long userId);

	/**
	 * 用户阅读状态修改
	 *
	 * @param id
	 * @return
	 */
	Boolean updateReadFlag(Long id);

	/**
	 * 一键全部消息已读
	 *
	 * @param userId
	 * @return
	 */
	Boolean allRead(Long userId);
}
